Subject: RE: [AAA-WG]: NASREQ-14: Interim vs. Start Stop record when Reuathentication/Re uathorization

From: "Fox, Dan" <[email-masked]>
Date: Fri, 20 Feb 2004 11:24:16 -0500

Jari,
 
I'll second Avi's proposal.
 
For CDMA RADIUS, back-end billing systems are currently processing STOP
as if they were independent charging records, and each time a
re-authorization changes parameters, a new STOP is generated.  INTERIM
records would require the back-end processing to be more stateful with
regards to past records.  I much prefer all the information required for
charging be placed in one message.
 
-Dan Fox
Starent Networks

-----Original Message-----
From: Jari Arkko [mailto:[email-masked]]
Sent: Friday, February 20, 2004 2:09 AM
To: Avi Lior
Cc: [email-masked]
Subject: Re: [AAA-WG]: NASREQ-14: Interim vs. Start Stop record when
Reuathentication/Re uathorization

Hi Avi,

And thanks for raising this issue.

> Interim vs. Start Stop record when Reuathentication/Reuathorization
> Submitter name: Avi Lior
> Submitter email address: [email-masked]
> Date first submitted: February 19th 2004
> Reference:
> Document: NASREQ-14
> Comment type: Technical
> Priority: S
> Section: 2.2
> Rationale/Explanation of issue:
>
> According to NASREQ-14 every change in authentication or authorization
> MUST generate an Accounting-Record-Type of INTERIM_RECORD.
>
> Requested changes:
>
> I belive that changes caused by re-authentication or authorization
> should cause a new session to begin and therefor a STOP_RECORD
followed
> by a START_RECORD MUST be generated.
>
> Besides INTERIM_RECORDS may be disabled. So if the text stands then at
> least state that accounting interim would be sent regardless of
whether
> the server has enabled interims or not.

I have somewhat conflicting feelings about this myself. The
use of interim records for this purpose sounds logical to me.
But on the other hand what you are suggesting above fits better
with what the Diameter base specifies. Specifically, it says:

    If the authorization server has not directed interim
    accounting to be enabled for the session, two accounting records
MUST
    be generated for each service of type session.

So I guess I have to agree what you propose above. Question:
Presumably the Session-Id stays the same. Does the
Accounting-Sub-Session-Id change for the newly re-authenticated
continuation of that session? But this AVP is optional in
base, so how would we know at the beginning of the original
session at sub-session-id must be used? Perhaps we can mandate
the use of sub-session-id in nasreq?

--Jari